# Class ShellEvent

SWTEventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.events.ShellEvent

public final class ShellEvent extends TypedEvent
Instances of this class are sent as a result of operations being performed on shells.

See Also:
  - `ShellListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`doit`
A flag indicating whether the operation should be allowed.

### Fields inherited from class TypedEvent

`data, display, time, widget`

## Constructor Summary

Constructors
Constructor
Description
`ShellEvent(Event event)`
Constructs a new instance of this class based on the information in the given untyped event.

## Method Summary

### Methods inherited from class TypedEvent

`toString`

## Field Details

### doit

public boolean doit
A flag indicating whether the operation should be allowed. Setting this field to `false` will cancel the operation.

## Constructor Details

### ShellEvent

public ShellEvent(Event event)
Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information